Bug 221254 - [NEW PORT] audio/caps-lv2: LV2 version of the C* Audio Plugin Suite
Summary: [NEW PORT] audio/caps-lv2: LV2 version of the C* Audio Plugin Suite
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2017-08-05 19:22 UTC by Yuri Victorovich
Modified: 2017-08-21 07:07 UTC (History)
1 user (show)

See Also:


Attachments
shar (27.37 KB, text/plain)
2017-08-05 19:22 UTC, Yuri Victorovich
no flags Details
shar archive (26.94 KB, text/plain)
2017-08-11 22:39 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-08-05 19:22:16 UTC
Created attachment 185058 [details]
shar

QAs:
* poudriere
* portlint
Comment 1 Richard Gallamore freebsd_committer 2017-08-11 21:09:14 UTC
* The patch could be changed to a REINPLACE_CMD post-patch target.

* There are many files in the lib directory that aren't libs. Should these be moved somewhere else like DATADIR?
Comment 2 Yuri Victorovich freebsd_committer 2017-08-11 22:39:35 UTC
Created attachment 185298 [details]
shar archive

> * The patch could be changed to a REINPLACE_CMD post-patch target.

Fixed

> * There are many files in the lib directory that aren't libs. Should these be moved somewhere else like DATADIR?

No, for LV2 plugins they are likely dynamically loaded by plugins itself. All of them go into lib/lv2/{name}.lv2/...
Comment 3 commit-hook freebsd_committer 2017-08-21 07:06:28 UTC
A commit references this bug:

Author: ultima
Date: Mon Aug 21 07:05:51 UTC 2017
New revision: 448455
URL: https://svnweb.freebsd.org/changeset/ports/448455

Log:
  The C* Audio Plugin Suite, is a collection of highly refined LV2
  units capable of (and intended for) realtime operation. The suite
  includes DSP units emulating instrument amplifiers, stomp-box
  classics, versatile 'virtual analogue' oscillators, fractal
  oscillation, reverb, equalization and others.

  WWW: https://github.com/moddevices/caps-lv2

  PR:		221254
  Submitted by:	Yuri Victorovich (maintainer)
  Reviewed by:	matthew (mentor)
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D12092

Changes:
  head/audio/Makefile
  head/audio/caps-lv2/
  head/audio/caps-lv2/Makefile
  head/audio/caps-lv2/distinfo
  head/audio/caps-lv2/pkg-descr
  head/audio/caps-lv2/pkg-plist
Comment 4 Richard Gallamore freebsd_committer 2017-08-21 07:07:54 UTC
Committed, thanks!